
Figure - Bug #115398
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111049 (New): AF-V2.0-副屏遥控器

【AF】【EVT】【遥控器】设置-屏保-系统屏保页面，无法用遥控器的上下左右进行选择
2023-01-18 16:19 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-18

Priority: High Due date: 2023-03-24

Assignee: CD TEST-方永红 % Done: 100%

Category: 依赖UI/UE Estimated time: 0.00 hour

Target version: VC1_FSE_0086_20230328

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0069.X101

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202304010020

Reproducibility: Every time Fixed Version: 2023-03-31

Test Type: ST Root cause: 需求问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1.设备连接遥控器

2、进入设置-屏保-系统屏保页面

3、在遥控器上进行上下左右的方向移动

【预期结果】

3、可以选中每个屏保的预览图

【实际结果】

3、无法用遥控器的上下左右进行选择

History

#1 - 2023-01-28 13:40 - CD APP-王营

- Status changed from New to NEED_INFO

- Assignee changed from CD APP-王营 to CD TEST-方永红

请确认此需求，屏保应用没有适配遥控器按键，当前简单支持部分遥控器按键控制是原生控件的行为，但是原生控件并没有完美适配按键响应，如果增

加这部分的适配会有很大的工作量，建议保持当前，只需适配手指触摸事件。

#2 - 2023-01-30 14:49 - CD TEST-方永红

- Category changed from CD-APP to 依赖UI/UE

- Assignee changed from CD TEST-方永红 to 方案组-RD3_CDTS 王浩云

哈喽，浩云

麻烦确认此处是否需要修改

#3 - 2023-01-30 15:52 - 方案组-RD3_CDTS 王浩云
- Assignee changed from 方案组-RD3_CDTS 王浩云 to CD APP-王营

屏保需要对遥控器做一下适配

#4 - 2023-02-01 10:16 - CD APP-王营

- Assignee changed from CD APP-王营 to 方案组-RD3_CDTS 王浩云

Hi 浩云

遥控器适配需要额外开发，请帮忙确认开发排期。

#5 - 2023-02-03 13:48 - 方案组-RD3_CDTS 王浩云

- Due date set to 2023-03-15

- Target version set to VC1_FSE_0082_20230314

满足上下左右，确认/返回

#6 - 2023-02-03 13:55 - 方案组-RD3_CDTS 王浩云

- Assignee changed from 方案组-RD3_CDTS 王浩云 to CD APP-王营

#7 - 2023-03-02 09:24 - CD APP-王营

- Status changed from NEED_INFO to ASSIGNED

新增需求问题，优先解决紧急bug，这个问题先放后调整

#8 - 2023-03-13 17:55 - CD APP-王营

- Due date changed from 2023-03-15 to 2023-03-24

#9 - 2023-03-23 14:15 - CDTS_TEST 王成

- Target version changed from VC1_FSE_0082_20230314 to VC1_FSE_0086_20230328

需要确认两个点

1、只合入不测试？还是什么状态交付

2、是否包含中控的屏保

#10 - 2023-03-30 15:24 - CD APP-王营

- % Done changed from 0 to 50

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-31

- Root cause set to 需求问题
■ Current conclusion

开发完成

■ My analysis

需要添加遥控器按键处理以及焦点处理

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/ScreenSaver/+/189900

#11 - 2023-03-30 16:03 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

189900 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: ScreenSaver: Adapt controllerTC-RID: 0301-0300601IssueID: TS-R-BUG-115398Change-Id: I9d8185a6f3df9b622fc36ddbf9bf74e51dc6a1cd

#12 - 2023-03-30 16:07 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD TEST-方永红

- % Done changed from 50 to 100

#13 - 2023-04-03 11:44 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202304010020

4.1

目前屏保部分已经基本可以使用遥控器操作

其中《选中应用框在模拟app上按下ok键无反应》的问题已另起票跟踪

先关闭该Bug

#14 - 2023-04-03 11:44 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

1619.png 204 KB 2023-01-18 CD TEST-方永红
